Package com.independentsoft.office.drawing

# Class InnerShadowEffect

java.lang.Object
com.independentsoft.office.drawing.InnerShadowEffect

public class InnerShadowEffect extends Object
The Class InnerShadowEffect.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InnerShadowEffect()`
  Instantiates a new inner shadow effect.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InnerShadowEffect`
  `clone()`
  `Unit`
  `getBlurRadius()`
  Gets the blur radius.
  `ColorChoice`
  `getColorChoice()`
  Gets the color choice.
  `int`
  `getDirection()`
  Gets the direction.
  `Unit`
  `getDistance()`
  Gets the distance.
  `void`
  `setBlurRadius​(Unit blurRadius)`
  Sets the blur radius.
  `void`
  `setColorChoice​(ColorChoice colorChoice)`
  Sets the color choice.
  `void`
  `setDirection​(int direction)`
  Sets the direction.
  `void`
  `setDistance​(Unit distance)`
  Sets the distance.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InnerShadowEffect

    public InnerShadowEffect()
    Instantiates a new inner shadow effect.

- ## Method Details

  - ### clone

    public InnerShadowEffect clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColorChoice

    public ColorChoice getColorChoice()
    Gets the color choice.
    Returns:
      the color choice

  - ### setColorChoice

    public void setColorChoice​(ColorChoice colorChoice)
    Sets the color choice.
    Parameters:
      `colorChoice` - the new color choice

  - ### getBlurRadius

    public Unit getBlurRadius()
    Gets the blur radius.
    Returns:
      the blur radius

  - ### setBlurRadius

    public void setBlurRadius​(Unit blurRadius)
    Sets the blur radius.
    Parameters:
      `blurRadius` - the new blur radius

  - ### getDirection

    public int getDirection()
    Gets the direction.
    Returns:
      the direction

  - ### setDirection

    public void setDirection​(int direction)
    Sets the direction.
    Parameters:
      `direction` - the new direction

  - ### getDistance

    public Unit getDistance()
    Gets the distance.
    Returns:
      the distance

  - ### setDistance

    public void setDistance​(Unit distance)
    Sets the distance.
    Parameters:
      `distance` - the new distance